/**
 *  Java GUI Tutorial 
 *  ButtonExample.java
 *
 *  @autor Gabor Nemeth, HUNGARY 2007
 *    
 *  Licence: free for non-commercial use
 *
 *  This is a sample program without guarantee and liability.
 *  
 *
 **/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;


public class ButtonExample extends JFrame implements ActionListener {
  
  private Button button1;
  private JButton button2;
  private JPanel mainPanel;
  
  
  public ButtonExample() {
    super( "ButtonExample" );
    this.setSize(300, 100);
    mainPanel = new JPanel();
    button1 = new Button( "Click me!" );
    button2 = new JButton( new ImageIcon("pointer_hand.jpg") );
    this.getContentPane().add(mainPanel);
    mainPanel.setLayout(new BoxLayout(mainPanel, BoxLayout.Y_AXIS));
    mainPanel.add(button1);
    mainPanel.add(button2);
    
    button1.setBackground( Color.GREEN );
    button2.setEnabled( false );
    // add action listener
    button1.addActionListener(this);
    button2.addActionListener(this);
  }
  
  // event handling
  public void actionPerformed(ActionEvent e) {
    boolean b1_enabled = button1.isEnabled();
    if (e.getSource().equals(button1)) {
      if ( b1_enabled == true ) {
        button1.setEnabled( false );
        button2.setEnabled( true );
        button1.setBackground( Color.BLUE );
        button1.setLabel( "I am disabled." );
      } else {
        button1.setEnabled( true );
        button2.setEnabled( false );
        button1.setBackground( Color.GREEN );
        button1.setLabel( "Click me!" );
      }
       
    }
    if (e.getSource().equals(button2)) {
       // now the event handling is same as in previous case
       if ( b1_enabled == true ) {
        button1.setEnabled( false );
        button2.setEnabled( true );
        button1.setBackground( Color.BLUE );
        button1.setLabel( "I am disabled." );
      } else {
        button1.setEnabled( true );
        button2.setEnabled( false );
        button1.setBackground( Color.GREEN );
        button1.setLabel( "Click me!" );
      }
    }
  }
  
  
  public static void main( String[] args ) {
    ButtonExample frame = new ButtonExample();
    frame.setVisible( true );
    
    
    // this is an implementation of window listener
    // the program will be stopped if you close the main frame
    WindowListener listener = new WindowAdapter() {
      public void windowClosing(WindowEvent we) {
        System.exit(0);
      }
    };
    frame.addWindowListener(listener);
    
  }
  
}